- Qt 5.15
- Qt Core
- C++ Classes
- QChildEvent
- Qt 5.15.19 Reference Documentation

# QChildEvent Class

The QChildEvent class contains event parameters for child object events. More...

Header: | #include <QChildEvent>
qmake: | QT += core
Inherits: | QEvent

- List of all members, including inherited members

## Public Functions

| QChildEvent(Type type, QObject *child)
bool | added() const
QObject * | child() const
bool | polished() const
bool | removed() const

## Detailed Description

Child events are sent immediately to objects when children are added or removed.

In both cases you can only rely on the child being a QObject (or, if QObject::isWidgetType() returns `true`, a QWidget). This is because in the QEvent::ChildAdded case the child is not yet fully constructed; in the QEvent::ChildRemoved case it might have already been destructed.

The handler for these events is QObject::childEvent().

## Member Function Documentation

### QChildEvent::QChildEvent(Type type, QObject *child)

Constructs a child event object of a particular type for the child.

type can be QEvent::ChildAdded, QEvent::ChildRemoved, or QEvent::ChildPolished.

See also child().

### bool QChildEvent::added() const

Returns `true` if type() is QEvent::ChildAdded; otherwise returns false.

### QObject *QChildEvent::child() const

Returns the child object that was added or removed.

### bool QChildEvent::polished() const

Returns `true` if type() is QEvent::ChildPolished; otherwise returns false.

### bool QChildEvent::removed() const

Returns `true` if type() is QEvent::ChildRemoved; otherwise returns false.